Subject: If you are disappointed in its second half, bold, come in!

From: [email-masked]
Date: Tue, 2 Feb 2010 18:37:40 +0100

I sexual Russian blonde, want to see, come closer. 100% check - please visit